apiVersion: v1
kind: ServiceAccount
metadata:
  name: kube-gelf
  namespace: kube-system
---
apiVersion: rbac.authorization.k8s.io/v1beta1
kind: ClusterRole
metadata:
  annotations:
    rbac.authorization.kubernetes.io/autoupdate: "true"
  name: kube-gelf-metadata-filter
rules:
- apiGroups:
  - ""
  resources:
  - pods
  - pods/exec
  - namespaces
  verbs: ["get", "list", "watch", "create"]
---
apiVersion: rbac.authorization.k8s.io/v1beta1
kind: ClusterRoleBinding
metadata:
  name: kube-gelf
roleRef:
  apiGroup: rbac.authorization.k8s.io
  kind: ClusterRole
  name: kube-gelf-metadata-filter
subjects:
- kind: ServiceAccount
  name: kube-gelf
  namespace: kube-system